<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [buyBackShares](./bitburner.corporation.buybackshares.md)

## Corporation.buyBackShares() method

Buyback Shares. Spend money from the player's wallet to transfer shares from public traders to the CEO.

**Signature:**

```typescript
buyBackShares(amount: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  amount | number | Amount of shares to buy back, must be integer and larger than 0 |

**Returns:**

void

